Advisory Details

May 15th, 2017

Hewlett Packard Enterprise Intelligent Management Center dbman Opcode 10010 Arbitrary File Write Remote Code Execution Vulnerability

ZDI-17-337
ZDI-CAN-4377

CVE ID CVE-2017-5822
CVSS SCORE 7.8, (AV:N/AC:L/Au:N/C:N/I:C/A:N)
AFFECTED VENDORS Hewlett Packard Enterprise
AFFECTED PRODUCTS Intelligent Management Center
VULNERABILITY DETAILS


This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Hewlett Packard Enterprise Intelligent Management Center. Authentication is not required to exploit this vulnerability.

The specific flaw exists within the dbman service, which listens on TCP port 2810 by default. The issue lies in the handling of opcode 10010 requests, which allows for an arbitrary file write with attacker controlled data. An attacker can leverage this vulnerability to execute arbitrary code under the context of SYSTEM.

VENDOR RESPONSE Hewlett Packard Enterprise has issued an update to correct this vulnerability. More details can be found at:
https://h20564.www2.hpe.com/hpsc/doc/public/display?docId=emr_na-hpesbhf03746en_us
DISCLOSURE TIMELINE
  • 2017-01-10 - Vulnerability reported to vendor
  • 2017-05-15 - Coordinated public release of advisory
CREDIT sztivi
BACK TO ADVISORIES